[Remove] security/go-ed25519

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[Remove] security/go-ed25519

wen heping
Hi, all:

   I suggest remove security/go-ed25519 from portstree.
   Because it is unmaintained upstream[1], and since go-1.13, there is
official ed25519 library[2].

[1]https://github.com/agl/ed25519
[2]https://godoc.org/golang.org/x/crypto/ed25519


Cheers !
wen

Reply | Threaded
Open this post in threaded view
|

回复: [Remove] security/go-ed25519

wen heping
Sorry I forgot there is one port depends on go-ed25519 :net/obfs4proxy.
obfs4proxy upstream replace the extra25519 import with an internal package in
its lastest version.
So before remove go-ed25519, we should update obfs4proxy first.
I shall submit the patch later.

wen
________________________________
发件人: [hidden email] <[hidden email]> 代表 wen heping <[hidden email]>
发送时间: 2020年7月31日 10:09
收件人: [hidden email] <[hidden email]>; [hidden email] <[hidden email]>
主题: [Remove] security/go-ed25519

Hi, all:

   I suggest remove security/go-ed25519 from portstree.
   Because it is unmaintained upstream[1], and since go-1.13, there is
official ed25519 library[2].

[1]https://github.com/agl/ed25519
[2]https://godoc.org/golang.org/x/crypto/ed25519


Cheers !
wen